package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.ext.mes.pcn.pojo.context.MesProdRuleContext;
import cn.estsh.i3plus.ext.mes.pcn.pojo.context.MesProductionPartContext;
import cn.estsh.i3plus.pojo.mes.bean.MesProdRuleNosortCfg;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface IMesProdRuleCfgExtService {

    @ApiOperation(value = "【排序线】获取产品加工规则(生产工单对应的装配件绑定记录)")
    List<MesProdRuleContext> getProdRuleSortContextList(MesProdRuleContext prodRuleContext, List<MesProductionPartContext> productionPartContextList);

    @ApiOperation(value = "【非排序线】获取产品加工规则")
    List<MesProdRuleNosortCfg> getProdRuleNosortCfgList(MesProdRuleContext prodRuleContext);

    @ApiOperation(value = "【非排序线】获取产品加工规则对应的装配件信息")
    MesProdRuleContext getProdRuleContext(MesProdRuleNosortCfg prodRuleNosortCfg, MesProductionPartContext productionPartContext);

}
