package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import cn.estsh.i3plus.pojo.mes.bean.MesLocationConfig;
import cn.estsh.i3plus.pojo.mes.bean.MesPart;
import cn.estsh.i3plus.pojo.mes.bean.MesPartTypePicture;
import cn.estsh.i3plus.pojo.mes.bean.nc.MesPartInspection;
import cn.estsh.i3plus.pojo.mes.bean.nc.MesPartInspectionDetail;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Description :
 * @Reference :
 * @Author :
 * @CreateDate : 2024-05-09 18:08
 * @Modify:
 **/
@Data
public class MesPartInspectionViewModel {


    @ApiParam("正面位置")
    private List<MesLocationConfig> locationConfigList;
//
//    @ApiParam("反面位置")
//    private List<MesLocationConfig> locationConfigList;

    @ApiParam("NC-零件检测详情")
    private List<MesPartInspectionDetail> partInspectionDetailList;


    @ApiParam("图片")
    private MesPartTypePicture partTypePicture;

    @ApiParam("NC-零件检测-单据")
    private MesPartInspection partInspection;

    @ApiParam("物料")
    private MesPart part;

    @ApiParam("是否返工单完成单据")
    private boolean transferFlg = false;


    @ApiParam("位置是否标黄Map")
    private Map<String, Boolean> map;

    @ApiParam("来源-单件或批次")
    private Integer sourceType;


}
